Uploaded image for project: 'Indy Node'
  1. Indy Node
  2. INDY-1781

Upgrade from 1.6.645+ version result errors about packages versions in journalctl

    Details

    • Type: Bug
    • Status: Complete
    • Priority: Medium
    • Resolution: Done
    • Affects Version/s: None
    • Fix Version/s: 1.6.79
    • Component/s: None
    • Labels:
      None
    • Environment:

      indy-node 1.6.645+

    • Documentation Impact:
      Unset
    • Sprint:
      Ev 18.22

      Description

      Steps to Reproduce:
      1. Set up docker pool with 1.6.645+ indy-node.
      2. Run ledger pool-upgrade command (doesn't matter if it will be for sovrin or for indy-node).

      Actual Results:
      Following errors appear in journalctl:

      Oct 25 17:44:17 f56585ade2de systemd[1]: Started Service for upgrade of existing Indy Node and other operations.
      Oct 25 17:50:03 f56585ade2de systemd[1]: Starting Cleanup of Temporary Directories...
      Oct 25 17:50:03 f56585ade2de env[1616]: WARNING: apt does not have a stable CLI interface. Use with caution in scripts.
      Oct 25 17:50:03 f56585ade2de systemd[1]: Started Cleanup of Temporary Directories.
      Oct 25 17:51:39 f56585ade2de env[1616]: E: Version '3.6' for 'python3' was not found
      Oct 25 17:51:39 f56585ade2de env[1616]: E: No packages found
      Oct 25 17:51:50 f56585ade2de env[1616]: E: Version '3.5~' for 'python3' was not found
      Oct 25 17:51:50 f56585ade2de env[1616]: E: No packages found
      Oct 25 17:52:02 f56585ade2de env[1616]: E: Version '2.14' for 'libc6' was not found
      Oct 25 17:52:02 f56585ade2de env[1616]: E: No packages found
      Oct 25 17:52:38 f56585ade2de env[1616]: E: Version '1.9.0' for 'python3-six' was not found
      Oct 25 17:52:38 f56585ade2de env[1616]: E: No packages found
      Oct 25 17:53:03 f56585ade2de env[1616]: E: Version '3.3.2-2~' for 'python3' was not found
      Oct 25 17:53:03 f56585ade2de env[1616]: E: No packages found
      Oct 25 17:53:15 f56585ade2de env[1616]: E: Version '3.3.2-2~' for 'python3' was not found
      Oct 25 17:53:15 f56585ade2de env[1616]: E: No packages found
      Oct 25 17:54:13 f56585ade2de env[1616]: E: Version '3.6' for 'python3' was not found
      Oct 25 17:54:13 f56585ade2de env[1616]: E: No packages found
      Oct 25 17:54:24 f56585ade2de env[1616]: E: Version '3.5~' for 'python3' was not found
      Oct 25 17:54:24 f56585ade2de env[1616]: E: No packages found
      Oct 25 17:54:37 f56585ade2de env[1616]: E: Version '2.14' for 'libc6' was not found
      Oct 25 17:54:37 f56585ade2de env[1616]: E: No packages found
      Oct 25 17:54:49 f56585ade2de env[1616]: E: Version '1:3.0' for 'libgcc1' was not found
      Oct 25 17:54:49 f56585ade2de env[1616]: E: No packages found
      Oct 25 17:55:13 f56585ade2de env[1616]: E: Version '2.14' for 'libc6' was not found
      Oct 25 17:55:13 f56585ade2de env[1616]: E: No packages found
      Oct 25 17:55:24 f56585ade2de env[1616]: E: Version '1:4.1.1' for 'libgcc1' was not found
      Oct 25 17:55:24 f56585ade2de env[1616]: E: No packages found
      Oct 25 17:55:48 f56585ade2de env[1616]: E: Version '5.2' for 'libstdc++6' was not found
      Oct 25 17:55:48 f56585ade2de env[1616]: E: No packages found
      Oct 25 17:56:00 f56585ade2de env[1616]: E: Version '5.2' for 'libstdc++6' was not found
      Oct 25 17:56:00 f56585ade2de env[1616]: E: No packages found
      Oct 25 17:57:32 f56585ade2de env[1616]: E: Version '10.0.0' for 'python3-pip' was not found
      Oct 25 17:57:32 f56585ade2de env[1616]: E: No packages found
      Oct 25 17:59:13 f56585ade2de env[1616]: E: Version '3.3.2-2~' for 'python3' was not found
      Oct 25 17:59:13 f56585ade2de env[1616]: E: No packages found
      Oct 25 17:59:38 f56585ade2de env[1616]: E: Version '3.6' for 'python3' was not found
      Oct 25 17:59:38 f56585ade2de env[1616]: E: No packages found
      Oct 25 17:59:50 f56585ade2de env[1616]: E: Version '3.5~' for 'python3' was not found
      Oct 25 17:59:50 f56585ade2de env[1616]: E: No packages found
      Oct 25 18:00:03 f56585ade2de env[1616]: E: Version '2.14' for 'libc6' was not found
      Oct 25 18:00:03 f56585ade2de env[1616]: E: No packages found
      Oct 25 18:01:08 f56585ade2de env[1616]: E: Version '25' for 'python3-setuptools' was not found
      Oct 25 18:01:08 f56585ade2de env[1616]: E: No packages found
      Oct 25 18:01:32 f56585ade2de env[1616]: E: Version '1.5' for 'python3-six' was not found
      Oct 25 18:01:32 f56585ade2de env[1616]: E: No packages found
      Oct 25 18:02:57 f56585ade2de env[1616]: E: Version '3.3.2-2~' for 'python3' was not found
      Oct 25 18:02:57 f56585ade2de env[1616]: E: No packages found
      Oct 25 18:03:12 f56585ade2de env[1616]: E: Version '1.5.5' for 'python3-pyparsing' was not found
      Oct 25 18:03:12 f56585ade2de env[1616]: E: No packages found
      Oct 25 18:03:40 f56585ade2de env[1616]: E: Version '2.14' for 'libc6' was not found
      Oct 25 18:03:40 f56585ade2de env[1616]: E: No packages found
      Oct 25 18:04:22 f56585ade2de env[1616]: E: Version '2.4' for 'libc6' was not found
      Oct 25 18:04:22 f56585ade2de env[1616]: E: No packages found
      Oct 25 18:04:33 f56585ade2de env[1616]: E: Version '3.6' for 'python3' was not found
      Oct 25 18:04:33 f56585ade2de env[1616]: E: No packages found
      Oct 25 18:04:48 f56585ade2de env[1616]: E: Version '3.5~' for 'python3' was not found
      Oct 25 18:04:48 f56585ade2de env[1616]: E: No packages found
      Oct 25 18:05:48 f56585ade2de env[1616]: E: Version '1.0.1-11' for 'libpam-runtime' was not found
      Oct 25 18:05:48 f56585ade2de env[1616]: E: No packages found
      Oct 25 18:06:00 f56585ade2de env[1616]: E: Version '3.2-14' for 'lsb-base' was not found
      Oct 25 18:06:00 f56585ade2de env[1616]: E: No packages found
      Oct 25 18:06:12 f56585ade2de env[1616]: E: Version '1.18~' for 'init-system-helpers' was not found
      Oct 25 18:06:12 f56585ade2de env[1616]: E: No packages found
      Oct 25 18:06:24 f56585ade2de env[1616]: E: Version '2.14' for 'libc6' was not found
      Oct 25 18:06:24 f56585ade2de env[1616]: E: No packages found
      Oct 25 18:06:36 f56585ade2de env[1616]: E: Version '0.99.7.1' for 'libpam0g' was not found
      Oct 25 18:06:36 f56585ade2de env[1616]: E: No packages found
      Oct 25 18:06:48 f56585ade2de env[1616]: E: Version '2.1.9' for 'libselinux1' was not found
      Oct 25 18:06:48 f56585ade2de env[1616]: E: No packages found
      Oct 25 18:07:25 f56585ade2de env[1616]: E: Version '2.14' for 'libc6' was not found
      Oct 25 18:07:25 f56585ade2de env[1616]: E: No packages found
      Oct 25 18:07:38 f56585ade2de env[1616]: E: Version '2.14' for 'libc6' was not found
      Oct 25 18:07:38 f56585ade2de env[1616]: E: No packages found
      Oct 25 18:08:03 f56585ade2de env[1616]: E: Version '2.14' for 'libc6' was not found
      Oct 25 18:08:03 f56585ade2de env[1616]: E: No packages found
      Oct 25 18:08:28 f56585ade2de env[1616]: E: Version '2.14' for 'libc6' was not found
      Oct 25 18:08:28 f56585ade2de env[1616]: E: No packages found
      Oct 25 18:08:41 f56585ade2de env[1616]: + deps='libsodium18 iptables at indy-anoncreds=1.0.32 libindy-crypto=0.4.5 python3-indy-crypto=0.4.5 indy-plenum=1.6.571 indy-node=1.6.646 sovrin=1.1.82'
      Oct 25 18:08:41 f56585ade2de env[1616]: + '[' -z 'libsodium18 iptables at indy-anoncreds=1.0.32 libindy-crypto=0.4.5 python3-indy-crypto=0.4.5 indy-plenum=1.6.571 indy-node=1.6.646 sovrin=1.1.82' ']'
      Oct 25 18:08:41 f56585ade2de env[1616]: + echo 'Try to donwload indy version libsodium18 iptables at indy-anoncreds=1.0.32 libindy-crypto=0.4.5 python3-indy-crypto=0.4.5 indy-plenum=1.6.571 indy-node=1.6.646 sovrin=1.1.82'
      Oct 25 18:08:41 f56585ade2de env[1616]: Try to donwload indy version libsodium18 iptables at indy-anoncreds=1.0.32 libindy-crypto=0.4.5 python3-indy-crypto=0.4.5 indy-plenum=1.6.571 indy-node=1.6.646 sovrin=1.1.82
      Oct 25 18:08:41 f56585ade2de env[1616]: + apt-get -y update
      Oct 25 18:08:42 f56585ade2de env[1616]: Hit:1 http://archive.ubuntu.com/ubuntu xenial InRelease
      Oct 25 18:08:42 f56585ade2de env[1616]: Get:2 http://archive.ubuntu.com/ubuntu xenial-updates InRelease [109 kB]
      Oct 25 18:08:42 f56585ade2de env[1616]: Get:3 http://security.ubuntu.com/ubuntu xenial-security InRelease [107 kB]
      Oct 25 18:08:42 f56585ade2de env[1616]: Get:4 http://archive.ubuntu.com/ubuntu xenial-backports InRelease [107 kB]
      Oct 25 18:08:44 f56585ade2de env[1616]: Hit:5 https://repo.sovrin.org/deb xenial InRelease
      Oct 25 18:08:44 f56585ade2de env[1616]: Hit:6 https://repo.sovrin.org/sdk/deb xenial InRelease
      Oct 25 18:08:50 f56585ade2de env[1616]: Fetched 323 kB in 8s (36.2 kB/s)
      Oct 25 18:09:03 f56585ade2de env[1616]: Reading package lists...
      Oct 25 18:09:03 f56585ade2de env[1616]: + apt-get --download-only -y --allow-downgrades --allow-change-held-packages install libsodium18 iptables at indy-anoncreds=1.0.32 libindy-crypto=0.4.5 python3-indy-crypto=0.4.5 indy-plenum=1.6.571
      Oct 25 18:09:15 f56585ade2de env[1616]: Reading package lists...
      Oct 25 18:09:18 f56585ade2de env[1616]: Building dependency tree...
      Oct 25 18:09:18 f56585ade2de env[1616]: Reading state information...
      Oct 25 18:09:20 f56585ade2de env[1616]: at is already the newest version (3.1.18-2ubuntu1).
      Oct 25 18:09:20 f56585ade2de env[1616]: iptables is already the newest version (1.6.0-2ubuntu3).
      Oct 25 18:09:20 f56585ade2de env[1616]: libsodium18 is already the newest version (1.0.8-5).
      Oct 25 18:09:20 f56585ade2de env[1616]: indy-anoncreds is already the newest version (1.0.32).
      Oct 25 18:09:20 f56585ade2de env[1616]: indy-node is already the newest version (1.6.646).
      Oct 25 18:09:20 f56585ade2de env[1616]: indy-plenum is already the newest version (1.6.571).
      Oct 25 18:09:20 f56585ade2de env[1616]: libindy-crypto is already the newest version (0.4.5).
      Oct 25 18:09:20 f56585ade2de env[1616]: python3-indy-crypto is already the newest version (0.4.5).
      Oct 25 18:09:20 f56585ade2de env[1616]: The following held packages will be changed:
      Oct 25 18:09:21 f56585ade2de env[1616]:   sovrin
      Oct 25 18:09:21 f56585ade2de env[1616]: The following packages will be upgraded:
      Oct 25 18:09:21 f56585ade2de env[1616]:   sovrin
      Oct 25 18:09:23 f56585ade2de env[1616]: 1 upgraded, 0 newly installed, 0 to remove and 11 not upgraded.
      Oct 25 18:09:23 f56585ade2de env[1616]: Need to get 10.4 kB of archives.
      Oct 25 18:09:23 f56585ade2de env[1616]: After this operation, 0 B of additional disk space will be used.
      Oct 25 18:09:23 f56585ade2de env[1616]: Get:1 https://repo.sovrin.org/deb xenial/master amd64 sovrin amd64 1.1.82 [10.4 kB]
      Oct 25 18:09:23 f56585ade2de env[1616]: Fetched 10.4 kB in 1s (5805 B/s)
      Oct 25 18:09:23 f56585ade2de env[1616]: Download complete and in download only mode
      Oct 25 18:09:23 f56585ade2de env[1616]: + ret=0
      Oct 25 18:09:23 f56585ade2de env[1616]: + '[' 0 -ne 0 ']'
      Oct 25 18:10:28 f56585ade2de env[1616]: + '[' '' = '' ']'
      Oct 25 18:10:28 f56585ade2de env[1616]: + systemctl daemon-reload
      Oct 25 18:10:28 f56585ade2de systemd[1]: Reloading.
      Oct 25 18:10:28 f56585ade2de env[1616]: + systemctl reset-failed
      Oct 25 18:10:28 f56585ade2de env[1616]: + echo 'Starting indy-node'
      Oct 25 18:10:28 f56585ade2de env[1616]: Starting indy-node
      Oct 25 18:10:28 f56585ade2de env[1616]: + systemctl start indy-node
      Oct 25 18:10:28 f56585ade2de systemd[1]: Started Indy Node.
      Oct 25 18:10:28 f56585ade2de env[1616]: + echo 'Restarting agent'
      Oct 25 18:10:28 f56585ade2de env[1616]: Restarting agent
      Oct 25 18:10:28 f56585ade2de env[1616]: + systemctl restart indy-node-control
      Oct 25 18:10:28 f56585ade2de systemd[1]: Stopping Indy Node...
      Oct 25 18:10:28 f56585ade2de systemd[1]: Stopping Service for upgrade of existing Indy Node and other operations...
      Oct 25 18:10:28 f56585ade2de systemd[1]: Stopped Service for upgrade of existing Indy Node and other operations.
      Oct 25 18:10:28 f56585ade2de systemd[1]: Stopped Indy Node.
      Oct 25 18:10:29 f56585ade2de systemd[1]: Started Indy Node.
      Oct 25 18:10:29 f56585ade2de systemd[1]: Started Service for upgrade of existing Indy Node and other operations.
      Oct 25 18:49:16 f56585ade2de kernel: e1000: enp0s3 NIC Link is Down
      Oct 25 18:49:20 f56585ade2de kernel: e1000: enp0s3 NIC Link is Up 1000 Mbps Full Duplex, Flow Control: RX
      Oct 25 20:38:00 f56585ade2de kernel: 29:38:00.239382 timesync vgsvcTimeSyncWorker: Radical host time change: 6 549 453 000 000ns (HostNow=1 540 499 880 865 000 000 ns HostLast=1 540 493 331 412 000 000 ns)
      Oct 25 20:38:00 f56585ade2de systemd[1]: Time has been changed
      Oct 25 20:38:10 f56585ade2de kernel: 29:38:10.241236 timesync vgsvcTimeSyncWorker: Radical guest time change: 6 527 607 954 000ns (GuestNow=1 540 499 890 872 181 000 ns GuestLast=1 540 493 363 264 227 000 ns fSetTimeLastLoop=true )

      Upgrade happens later than it was scheduled.

      Expected Results:
      Upgrade should not result errors.

        Attachments

          Activity

            People

            • Assignee:
              ozheregelya Olga Zheregelya
              Reporter:
              ozheregelya Olga Zheregelya
              Watchers:
              Alexander Shcherbakov, Dmitry Surnin, Olga Zheregelya
            • Votes:
              0 Vote for this issue
              Watchers:
              3 Start watching this issue

              Dates

              • Created:
                Updated:
                Resolved: